<?php
/*--------------------------------------------------------- 
 * File:about.php
 * Author:Tomix
 * Description: 
 * Created:2009
 * -------------------------------------------------------
 * Modified history:
 * -------------------------------------------------------
 * Copyright:
 * -------------------------------------------------------
 */
 require_once "pageBase.php";
 require_once "dal/articleDAL.php";
 
 class _about extends pageBase
 {
 	private $id;
 	public function load()
 	{
 		$this->id=parent::getPageParameter("id","13");
 		$this->loadData();
 		
 		parent::load();
 	}
 	public function loadData()
 	{ 		
 		//加載模板
 		parent::loadTemplateFile("templates/privacy.html");
 		
 		//頁面內容
 		$about=new articleDAL();
 		$about->ArticleID=$this->id;
		
 		$about->loadRecord();
 		
 		parent::addParameter("aboutTitle",$about->Title);
 		parent::addParameter("aboutContent",$about->Content);
		
 		
 		//父類方法蘋果也界有限公司
 		parent::loadData();
 	}
 }
 
 $page=new _about();
 $page->load();
 $page->render();
?>